MobiariDocs
Storefront APIEngagement

List the chat's messages

GET
/widget/{key}/conversations/{conversation_id}/messages

The latest 200 messages, oldest first.

Path Parameters

key*string

The chat channel's public key (data-key of the embed script)

conversation_id*string

Conversation id

Formatuuid

Query Parameters

token?string

The token POST /widget/{key}/conversations returned. Prefer the X-Visitor-Token header; the query parameter is for clients that cannot set headers.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/widget/string/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages"
{
  "conversation": {
    "assigned": true,
    "bot_active": true,
    "contact_email": "string",
    "contact_name": "string",
    "contact_phone": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "csat_score": 0,
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "status": "open",
    "unread_for_visitor": 0
  },
  "messages": [
    {
      "created_at": "2019-08-24T14:15:22Z",
      "delivery_status": "sent",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "payload": {
        "assignee_user_id": "e942d24d-8cee-4fa2-bf68-164509e32e2f",
        "attachments": [
          {}
        ],
        "cart": null,
        "email": {},
        "interactive": true,
        "kind": "string",
        "location": {},
        "paid_order_id": "string",
        "pix": null,
        "pix_code": true,
        "products": [
          {
            "compare_at": "string",
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "image": "string",
            "price": "string",
            "title": "string",
            "url": "string"
          }
        ],
        "quick_replies": [
          "string"
        ],
        "reason": "string"
      },
      "read_at": "2019-08-24T14:15:22Z",
      "sender": "visitor",
      "text": "string"
    }
  ]
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}
{
  "code": "not_found",
  "details": {},
  "error": "Order not found"
}